Subject: Re: Cygwin default installation: command not found‏
From: Morgan Gangwere <[email-masked]>
To: [email-masked]
Date: Tue, 6 Apr 2010 14:46:39 -0600
List-Id: <cygwin.cygwin.com>

On Tue, Apr 6, 2010 at 11:55 AM, Dave Korn
<[email-masked]> wrote:
> On 06/04/2010 14:56, Morgan Gangwere wrote:
>> On 4/6/2010 6:38 AM, Morgan Gangwere wrote:
>
>> I've looked through the logfiles that Mr. Nescio has provided and found
>> a few lines that look messed up:
>>
>> There are quite a few instances of this
>> --------8<------ setup.log.full -----%<--------
>> 2010/04/06 13:29:22 running: C:\cygwin\bin\bash.exe --norc --noprofile
>> /etc/postinstall/bash.sh
>>       3 [main] bash 3936 C:\cygwin\bin\bash.exe: *** fatal error -
>> couldn't allocate heap, Win32 error 487, base 0x6D0000, top 0x730000,
>> reserve_size 389120, allocsize 393216, page_const 4096
>>       2 [main] bash 3624 fork: child -1 - died waiting for longjmp
>> before initialization, retry 0, exit code 0x100, errno 11
>
>  Right, so this is what caused the postinstall scripts to fail, and explains
> why the user's profile files weren't created.

>> What doesnt make sense is that the method of failure is odd because this
>> points to a bug in bash (Region stuff?)
>>
>> McAffee isnt there to complain, so its proabably not something on listings.
>
>  I wonder if DEP is enabled on this machine?  That can cause those kinds of
> massive failures.  Matthijs, can you try disabling DEP in "system
> properties->advanced->performance options" (see
> http://technet.microsoft.com/en-gb/library/cc700810.aspx for info) and then
> run setup.exe again, only in "install from local directory" mode; set
> everything to reinstall on the package chooser screen and see if it completes
> successfully this time?

Sounds like hardware DEP, or UAC virtualization.

>> This also pinged my curiosity in setup.log:
>>
>> 2010/04/06 13:27:37 io_stream_cygfile: fopen(/etc/setup/extrakeys)
>> failed 2 No such file or directory
>> 2010/04/06 13:27:37 io_stream_cygfile:
>> fopen(/etc/setup/chooser_window_settings) failed 2 No such file or
>> directory
>>
>> I wonder if this is UAC getting in the way?
>
>  Don't see any reason to assume it's anything other than that those files
> genuinely didn't exist.  First run on a fresh installation and all that.

Well here's an interesting thing I found:

I can write an application in say VS08, C app that opens a file in its
current directory, writes to it and then dumps out the file. it will
suceed, but the file will *never* exist in its current directory if it
is under UAC Virtualization. You can search long and hard, it *wont*
exist (except in Shadow Files)

The application will think it exists. You can open it as many times as
you want and close it even more and you'll never get an error. I would
check the status of UAC at that point and see what is really
happening.

-- 
Morgan gangwere

“The future’s already arrived. It’s just not evenly distributed yet.”
William Gibson

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple